%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             xnio
Version:          3.4.0
Release:          %mkrel 1
Group:            Development/Java
Summary:          JBoss XNIO
# LGPLv2+ ./api/src/main/java/org/xnio/ObjectProperties.java
License:          ASL 2.0 and LGPLv2+
URL:              http://www.jboss.org/xnio
Source0:          https://github.com/xnio/xnio/archive/%{namedversion}/%{name}-%{namedversion}.tar.gz

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    mvn(java_cup:java_cup)
BuildRequires:    mvn(jdepend:jdepend)
BuildRequires:    mvn(junit:junit)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)
BuildRequires:    mvn(org.jboss.apiviz:apiviz)
BuildRequires:    mvn(org.jboss.byteman:byteman)
BuildRequires:    mvn(org.jboss.byteman:byteman-bmunit)
BuildRequires:    mvn(org.jboss.byteman:byteman-install)
BuildRequires:    mvn(org.jboss.logging:jboss-logging)
BuildRequires:    mvn(org.jboss.logging:jboss-logging-annotations)
BuildRequires:    mvn(org.jboss.logging:jboss-logging-processor)
BuildRequires:    mvn(org.jboss.logmanager:jboss-logmanager)
BuildRequires:    mvn(org.jboss.maven.plugins:maven-injection-plugin)
BuildRequires:    mvn(org.jmock:jmock)
BuildRequires:    mvn(org.jmock:jmock-junit4)
BuildRequires:    mvn(org.wildfly.common:wildfly-common)

%description
A simplified low-level I/O layer which can be used anywhere you are
using NIO today. It frees you from the hassle of dealing with Selectors and
the lack of NIO support for multicast sockets and non-socket I/O, while still
maintaining all the capabilities present in NIO.

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%pom_remove_plugin "org.jboss.bridger:bridger" api
%pom_remove_plugin -r :maven-source-plugin

#  @ random fails in koji (arm) builder
rm nio-impl/src/test/java/org/xnio/nio/test/MultiThreadedNioSslTcpConnectionTestCase.java \
 nio-impl/src/test/java/org/xnio/nio/test/NioSslTcpChannelTestCase.java \
 nio-impl/src/test/java/org/xnio/nio/test/NioSslTcpConnectionTestCase.java \
 nio-impl/src/test/java/org/xnio/nio/test/NioStartTLSTcpChannelTestCase.java \
 nio-impl/src/test/java/org/xnio/nio/test/NioStartTLSTcpConnectionTestCase.java \
 nio-impl/src/test/java/org/xnio/nio/test/MultiThreadedNioSslTcpChannelTestCase.java \
 nio-impl/src/test/java/org/xnio/nio/test/MultiThreadedNioStartTLSTcpConnectionTestCase.java \
 nio-impl/src/test/java/org/xnio/nio/test/MultiThreadedNioStartTLSTcpChannelTestCase.java

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt




%changelog
* Mon May 15 2017 neoclust <neoclust> 3.4.0-1.mga6
+ Revision: 1101829
- new version 3.4.0
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 3.3.0-4.mga6
+ Revision: 978242
- First rebuild of the java stack
- sync package xnio with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Fri Jun 26 2015 daviddavid <daviddavid> 3.3.0-1.mga6
+ Revision: 844602
- sync with fc23 (update to 3.3.0.Final)
- fix owner of maven-poms dir

* Mon Jan 19 2015 daviddavid <daviddavid> 3.2.2-3.mga5
+ Revision: 811468
- disable tests failure

* Sat Dec 27 2014 pterjan <pterjan> 3.2.2-2.mga5
+ Revision: 806504
- Clean rebuild
- Sync with Fedora 21 (update to 3.2.2.Final)

* Wed Oct 15 2014 umeabot <umeabot> 3.1.0-0.5.CR6.5.mga5
+ Revision: 739298
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Dec 24 2013 dmorgan <dmorgan> 3.1.0-0.5.CR6.3.mga4
+ Revision: 560511
- Disable tests

* Tue Oct 22 2013 umeabot <umeabot> 3.1.0-0.5.CR6.2.mga4
+ Revision: 541302
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 dmorgan <dmorgan> 3.1.0-0.5.CR6.1.mga4
+ Revision: 495305
- New version

* Sun Feb 17 2013 dmorgan <dmorgan> 3.0.3-1.mga3
+ Revision: 398918
- New version

* Mon Jan 14 2013 umeabot <umeabot> 3.0.1-2.mga3
+ Revision: 387229
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Feb 19 2012 gil <gil> 3.0.1-1.mga3
+ Revision: 210847
- update to 3.0.1.GA

* Sun Jan 08 2012 gil <gil> 3.0.0-0.1.CR5.1.mga2
+ Revision: 193211
- rebuild 3.0.0.CR5
- revert to 3.0.0.Beta6
- update to 3.0.0.CR5
- added proper java BR

  + dmorgan <dmorgan>
    - imported package xnio


* Fri Jun 03 2011 Marek Goldmann <mgoldman@redhat.com> 1.0.0-1
- Initial packaging

